
Katello - Bug #4969

Non visible errata can be 'added' on Content View Add errata by ID filter

03/31/2014 01:51 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

1. Sync a repo with some errata

2. Create a content view and add a repo with errata

3. Create an 'errata by id' filter.

4. on the 'add' errata tab, select a bunch of errata

5. Unselect one or more types such that only a subset of those selected are visible

6. Click add

Result:  All errata originally selected are added.

Options:

a) De-select all errata when making a filter change

b) De-select errata that are filtered out from the list

Related issues:

Related to Katello - Bug #6176: Errata by ID Content View Filter does not wor... Closed 06/11/2014

Associated revisions

Revision 0d36f07f - 06/24/2014 10:58 AM - Eric Helms

Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content

view errata id filters.

The previous content view errata id filter would continously load

all errata in chunks in order to allow client side filtering. And,

while this worked for small errata sets, larger errata sets such as

RHEL 6.5 (2500ish errata) were unwieldy and led to confusion. This

change does the following:

moves all type and date filtering server side

enabled UI select all behavior to allow adding errata that is not

currently visible client side\

adds a new option to create errata id content view filter rules

with a bulk set of errata or based on a search/param query

Revision 09e44c33 - 06/24/2014 02:58 PM - Eric Helms

Fixes #6176, #5030, #4969, BZ1103492: Improving interaction of content

view errata id filters.

The previous content view errata id filter would continously load

all errata in chunks in order to allow client side filtering. And,

while this worked for small errata sets, larger errata sets such as

RHEL 6.5 (2500ish errata) were unwieldy and led to confusion. This

change does the following:

moves all type and date filtering server side

enabled UI select all behavior to allow adding errata that is not

currently visible client side\

adds a new option to create errata id content view filter rules

with a bulk set of errata or based on a search/param query
History

#1 - 04/25/2014 12:00 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 01:48 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#3 - 06/12/2014 06:41 PM - Eric Helms

- Related to Bug #6176: Errata by ID Content View Filter does not work properly added

#4 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/23/2014 07:24 PM - Mike McCune

- Assignee set to Partha Aji

#6 - 06/24/2014 12:32 PM - Eric Helms

- Status changed from New to Ready For Testing

#7 - 06/25/2014 03:52 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:09e44c33ac756c4d80d8038d9014d5dc93fe5bb5.
